# Read an artifact.

> https://koi.dog/docs/api/artifacts/get-artifact/

`GET /api/v1/artifacts/{id}` · Scope: `read`

No query parameters.

## Path parameters.

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | `string` | yes | The artifact's id. |

## Response.

200 OK: a `Artifact`. The example has placeholder values.

## Request.

```sh
curl "https://app.koi.dog/api/v1/artifacts/$ID" \
    -H "Authorization: Bearer $KOIDOG_API_KEY"
```

```js
const res = await fetch(`https://app.koi.dog/api/v1/artifacts/${process.env.ID}`, {
  headers: {
    Authorization: `Bearer ${process.env.KOIDOG_API_KEY}`,
  },
});
console.log(await res.json());
```

```python
import os

import requests

r = requests.get(
    f"https://app.koi.dog/api/v1/artifacts/{os.environ['ID']}",
    headers={
        "Authorization": f"Bearer {os.environ['KOIDOG_API_KEY']}",
    },
)
r.raise_for_status()
print(r.json())
```

## Response example.

```json
{
  "id": "string",
  "crewId": "string",
  "kind": "branch",
  "title": "string",
  "meta": { … },
  "createdAt": "string",
  "contentUrl": "string",
  …
}
```
